org.keycloak.models.map.authorization.entity

## Class MapScopeEntity<K>

- java.lang.Object
- - org.keycloak.models.map.authorization.entity.MapScopeEntity<K>

- All Implemented Interfaces:
    AbstractEntity<K>, UpdatableEntity

      public class MapScopeEntity<K>
      extends Object
      implements AbstractEntity<K>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapScopeEntity()`
    `MapScopeEntity(K id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()`
    `String` | `getIconUri()`
    `K` | `getId()`
    `String` | `getName()`
    `String` | `getResourceServerId()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `setDisplayName(String displayName)`
    `void` | `setIconUri(String iconUri)`
    `void` | `setName(String name)`
    `void` | `setResourceServerId(String resourceServerId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapScopeEntity

          public MapScopeEntity(K id)

    - #### MapScopeEntity

          public MapScopeEntity()

  - ### Method Detail

    - #### getId

          public K getId()

      Specified by:
        `getId` in interface `AbstractEntity<K>`

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getIconUri

          public String getIconUri()

    - #### setIconUri

          public void setIconUri(String iconUri)

    - #### getResourceServerId

          public String getResourceServerId()

    - #### setResourceServerId

          public void setResourceServerId(String resourceServerId)

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.